Package org.eclipse.rdf4j.model.vocabulary

## Enum XSD.Datatype

- java.lang.Object
- - java.lang.Enum<XSD.Datatype>
  - - org.eclipse.rdf4j.model.vocabulary.XSD.Datatype

- All Implemented Interfaces:
    `Serializable`, `Comparable<XSD.Datatype>`
  Enclosing class:
    XSD

      public static enum XSD.Datatype
      extends Enum<XSD.Datatype>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANYURI` |
    `BASE64BINARY` |
    `BOOLEAN` |
    `BYTE` |
    `DATE` |
    `DATETIME` |
    `DATETIMESTAMP` |
    `DAYTIMEDURATION` |
    `DECIMAL` |
    `DOUBLE` |
    `DURATION` |
    `ENTITIES` |
    `ENTITY` |
    `FLOAT` |
    `GDAY` |
    `GMONTH` |
    `GMONTHDAY` |
    `GYEAR` |
    `GYEARMONTH` |
    `HEXBINARY` |
    `ID` |
    `IDREF` |
    `IDREFS` |
    `INT` |
    `INTEGER` |
    `LANGUAGE` |
    `LONG` |
    `NAME` |
    `NCNAME` |
    `NEGATIVE_INTEGER` |
    `NMTOKEN` |
    `NMTOKENS` |
    `NON_NEGATIVE_INTEGER` |
    `NON_POSITIVE_INTEGER` |
    `NORMALIZEDSTRING` |
    `NOTATION` |
    `POSITIVE_INTEGER` |
    `QNAME` |
    `SHORT` |
    `STRING` |
    `TIME` |
    `TOKEN` |
    `UNSIGNED_BYTE` |
    `UNSIGNED_INT` |
    `UNSIGNED_LONG` |
    `UNSIGNED_SHORT` |
    `YEARMONTHDURATION` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Optional<XSD.Datatype>` | `from​(CoreDatatype.XSD datatype)` |
    `static Optional<XSD.Datatype>` | `from​(IRI datatype)` |
    `CoreDatatype` | `getCoreDatatype()` |
    `IRI` | `getIri()` |
    `boolean` | `isBuiltInDatatype()` | Checks whether the supplied datatype is a built-in XML Schema datatype.
    `boolean` | `isCalendarDatatype()` | Checks whether the supplied datatype is equal to xsd:dateTime, xsd:date, xsd:time, xsd:gYearMonth, xsd:gMonthDay, xsd:gYear, xsd:gMonth or xsd:gDay.These are the primitive datatypes that represent dates and/or times.
    `boolean` | `isDecimalDatatype()` | Checks whether the supplied datatype is equal to xsd:decimal or one of the built-in datatypes that is derived from xsd:decimal.
    `boolean` | `isDerivedDatatype()` | Checks whether the supplied datatype is a derived XML Schema datatype.
    `boolean` | `isDurationDatatype()` | Checks whether the supplied datatype is equal to xsd:duration, xsd:dayTimeDuration, xsd:yearMonthDuration.
    `boolean` | `isFloatingPointDatatype()` | Checks whether the supplied datatype is equal to xsd:float or xsd:double.
    `boolean` | `isIntegerDatatype()` | Checks whether the supplied datatype is equal to xsd:integer or one of the built-in datatypes that is derived from xsd:integer.
    `boolean` | `isNumericDatatype()` | Checks whether the supplied datatype is a numeric datatype, i.e.if it is equal to xsd:float, xsd:double, xsd:decimal or one of the datatypes derived from xsd:decimal.
    `boolean` | `isOrderedDatatype()` | Checks whether the supplied datatype is ordered.The values of an ordered datatype can be compared to each other using operators like < and >.
    `boolean` | `isPrimitiveDatatype()` | Checks whether the supplied datatype is a primitive XML Schema datatype.
    `static XSD.Datatype` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static XSD.Datatype[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DURATION

          public static final XSD.Datatype DURATION

    - #### DATETIME

          public static final XSD.Datatype DATETIME

    - #### DATETIMESTAMP

          public static final XSD.Datatype DATETIMESTAMP

    - #### DAYTIMEDURATION

          public static final XSD.Datatype DAYTIMEDURATION

    - #### TIME

          public static final XSD.Datatype TIME

    - #### DATE

          public static final XSD.Datatype DATE

    - #### GYEARMONTH

          public static final XSD.Datatype GYEARMONTH

    - #### GYEAR

          public static final XSD.Datatype GYEAR

    - #### GMONTHDAY

          public static final XSD.Datatype GMONTHDAY

    - #### GDAY

          public static final XSD.Datatype GDAY

    - #### GMONTH

          public static final XSD.Datatype GMONTH

    - #### STRING

          public static final XSD.Datatype STRING

    - #### BOOLEAN

          public static final XSD.Datatype BOOLEAN

    - #### BASE64BINARY

          public static final XSD.Datatype BASE64BINARY

    - #### HEXBINARY

          public static final XSD.Datatype HEXBINARY

    - #### FLOAT

          public static final XSD.Datatype FLOAT

    - #### DECIMAL

          public static final XSD.Datatype DECIMAL

    - #### DOUBLE

          public static final XSD.Datatype DOUBLE

    - #### ANYURI

          public static final XSD.Datatype ANYURI

    - #### QNAME

          public static final XSD.Datatype QNAME

    - #### NOTATION

          public static final XSD.Datatype NOTATION

    - #### NORMALIZEDSTRING

          public static final XSD.Datatype NORMALIZEDSTRING

    - #### TOKEN

          public static final XSD.Datatype TOKEN

    - #### LANGUAGE

          public static final XSD.Datatype LANGUAGE

    - #### NMTOKEN

          public static final XSD.Datatype NMTOKEN

    - #### NMTOKENS

          public static final XSD.Datatype NMTOKENS

    - #### NAME

          public static final XSD.Datatype NAME

    - #### NCNAME

          public static final XSD.Datatype NCNAME

    - #### ID

          public static final XSD.Datatype ID

    - #### IDREF

          public static final XSD.Datatype IDREF

    - #### IDREFS

          public static final XSD.Datatype IDREFS

    - #### ENTITY

          public static final XSD.Datatype ENTITY

    - #### ENTITIES

          public static final XSD.Datatype ENTITIES

    - #### INTEGER

          public static final XSD.Datatype INTEGER

    - #### LONG

          public static final XSD.Datatype LONG

    - #### INT

          public static final XSD.Datatype INT

    - #### SHORT

          public static final XSD.Datatype SHORT

    - #### BYTE

          public static final XSD.Datatype BYTE

    - #### NON_POSITIVE_INTEGER

          public static final XSD.Datatype NON_POSITIVE_INTEGER

    - #### NEGATIVE_INTEGER

          public static final XSD.Datatype NEGATIVE_INTEGER

    - #### NON_NEGATIVE_INTEGER

          public static final XSD.Datatype NON_NEGATIVE_INTEGER

    - #### POSITIVE_INTEGER

          public static final XSD.Datatype POSITIVE_INTEGER

    - #### UNSIGNED_LONG

          public static final XSD.Datatype UNSIGNED_LONG

    - #### UNSIGNED_INT

          public static final XSD.Datatype UNSIGNED_INT

    - #### UNSIGNED_SHORT

          public static final XSD.Datatype UNSIGNED_SHORT

    - #### UNSIGNED_BYTE

          public static final XSD.Datatype UNSIGNED_BYTE

    - #### YEARMONTHDURATION

          public static final XSD.Datatype YEARMONTHDURATION

  - ### Method Detail

    - #### values

          public static XSD.Datatype[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XSD.Datatype c : XSD.Datatype.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XSD.Datatype valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isPrimitiveDatatype

          public boolean isPrimitiveDatatype()

      Checks whether the supplied datatype is a primitive XML Schema datatype.
      Returns:
        true if the datatype is a primitive type

    - #### isDerivedDatatype

          public boolean isDerivedDatatype()

      Checks whether the supplied datatype is a derived XML Schema datatype.
      Returns:
        true if the datatype is a derived type

    - #### isBuiltInDatatype

          public boolean isBuiltInDatatype()

      Checks whether the supplied datatype is a built-in XML Schema datatype.
      Returns:
        true if it is a primitive or derived XML Schema type

    - #### isNumericDatatype

          public boolean isNumericDatatype()

      Checks whether the supplied datatype is a numeric datatype, i.e.if it is equal to xsd:float, xsd:double, xsd:decimal or one of the datatypes derived from xsd:decimal.
      Returns:
        true of it is a decimal or floating point type

    - #### isDecimalDatatype

          public boolean isDecimalDatatype()

      Checks whether the supplied datatype is equal to xsd:decimal or one of the built-in datatypes that is derived from xsd:decimal.
      Returns:
        true if it is a decimal datatype

    - #### isIntegerDatatype

          public boolean isIntegerDatatype()

      Checks whether the supplied datatype is equal to xsd:integer or one of the built-in datatypes that is derived from xsd:integer.
      Returns:
        true if it is an integer type

    - #### isFloatingPointDatatype

          public boolean isFloatingPointDatatype()

      Checks whether the supplied datatype is equal to xsd:float or xsd:double.
      Returns:
        true if it is a floating point type

    - #### isCalendarDatatype

          public boolean isCalendarDatatype()

      Checks whether the supplied datatype is equal to xsd:dateTime, xsd:date, xsd:time, xsd:gYearMonth, xsd:gMonthDay, xsd:gYear, xsd:gMonth or xsd:gDay.These are the primitive datatypes that represent dates and/or times.
      Returns:
        true if it is a calendar type
      See Also:
        `XMLGregorianCalendar`

    - #### isDurationDatatype

          public boolean isDurationDatatype()

      Checks whether the supplied datatype is equal to xsd:duration, xsd:dayTimeDuration, xsd:yearMonthDuration. These are the datatypes that represents durations.
      Returns:
        true if it is a duration type
      See Also:
        `Duration`

    - #### isOrderedDatatype

          public boolean isOrderedDatatype()

      Checks whether the supplied datatype is ordered.The values of an ordered datatype can be compared to each other using operators like < and >.
      Returns:
        true if the datatype is ordered

    - #### getIri

          public IRI getIri()

    - #### getCoreDatatype

          public CoreDatatype getCoreDatatype()

    - #### from

          public static Optional<XSD.Datatype> from​(IRI datatype)

    - #### from

          public static Optional<XSD.Datatype> from​(CoreDatatype.XSD datatype)